Bug 177472

Summary: WebAssembly: no VM / JS version of our implementation
Product: WebKit Reporter: JF Bastien <jfbastien>
Component: WebAssemblyAssignee: JF Bastien <jfbastien>
Status: RESOLVED FIXED    
Severity: Normal CC: buildbot, commit-queue, fpizlo, jfbastien, keith_miller, mark.lam, msaboff, rmorisset, rniwa, sbarati, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on: 177473, 178690, 178738    
Bug Blocks: 177475, 170260, 176644    
Attachments:
Description Flags
patch
none
Archive of layout-test-results from ews106 for mac-elcapitan-wk2 none

Description JF Bastien 2017-09-25 16:16:29 PDT
It should be possible to use our JSC WebAssembly implementation without having a VM or JS.
Comment 1 JF Bastien 2017-10-25 22:30:03 PDT
*** Bug 170260 has been marked as a duplicate of this bug. ***
Comment 2 JF Bastien 2017-10-25 22:49:29 PDT
Created attachment 324959 [details]
patch
Comment 3 Build Bot 2017-10-25 22:51:51 PDT
Attachment 324959 [details] did not pass style-queue:


ERROR: Source/JavaScriptCore/wasm/WasmInstance.h:45:  The parameter name "context" adds no information, so it should be removed.  [readability/parameter_name] [5]
ERROR: Source/JavaScriptCore/wasm/WasmInstance.h:45:  The parameter name "module" adds no information, so it should be removed.  [readability/parameter_name] [5]
ERROR: Source/JavaScriptCore/wasm/WasmInstance.h:107:  The parameter name "context" adds no information, so it should be removed.  [readability/parameter_name] [5]
ERROR: Source/JavaScriptCore/wasm/js/JSWebAssemblyInstance.h:63:  Place brace on its own line for function definitions.  [whitespace/braces] [4]
ERROR: Source/JavaScriptCore/wasm/js/JSWebAssemblyInstance.h:71:  Place brace on its own line for function definitions.  [whitespace/braces] [4]
Total errors found: 5 in 25 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 4 Build Bot 2017-10-25 23:32:44 PDT
Comment on attachment 324959 [details]
patch

Attachment 324959 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/4994475

Number of test failures exceeded the failure limit.
Comment 5 Build Bot 2017-10-25 23:32:45 PDT
Created attachment 324965 [details]
Archive of layout-test-results from ews106 for mac-elcapitan-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews106  Port: mac-elcapitan-wk2  Platform: Mac OS X 10.11.6
Comment 6 JF Bastien 2017-10-26 08:08:01 PDT
Test failures seem unrelated.
Comment 7 JF Bastien 2017-10-26 08:18:33 PDT
Failures all seem to be server errors when the tests ran.
Comment 8 Michael Saboff 2017-10-26 08:21:06 PDT
Comment on attachment 324959 [details]
patch

r=me
Comment 9 WebKit Commit Bot 2017-10-26 08:33:59 PDT
Comment on attachment 324959 [details]
patch

Clearing flags on attachment: 324959

Committed r224020: <https://trac.webkit.org/changeset/224020>
Comment 10 WebKit Commit Bot 2017-10-26 08:34:01 PDT
All reviewed patches have been landed.  Closing bug.
Comment 11 Radar WebKit Bug Importer 2017-11-15 13:10:51 PST
<rdar://problem/35568917>